<?php


require_once(dirname(dirname(__FILE__)) . '/app.php');

if ($_POST) {
    $u = array();
    $u['username'] = strval($_POST['username']);
    $u['password'] = strval($_POST['password']);
    $u['email'] = strval($_POST['email']);
    $u['mobile'] = strval($_POST['mobile']);

    if(!Utility::CaptchaCheck($_POST['check-code'])){
		Session::Set('error', '验证码输入错误！');
		redirect(WEB_ROOT . '/account/login.php');
    }

    if (!Utility::ValidEmail($u['email'], true)) {
        Session::Set('error', 'Email地址为无效地址');
        redirect(WEB_ROOT . '/account/signup.php');
    }
    if ($_POST['password2'] == $_POST['password'] && $_POST['password']) {
        if ($user_id = OUser::Create($u)) {
            OLogin::Login($user_id);
            Session::Set('success', '注册成功！');
            redirect(get_loginpage(WEB_ROOT . '/index.php'));
        } else {
            $au = Table::Fetch('user', $_POST['email'], 'email');
            if ($au) {
                Session::Set('error', '注册失败，Email已被使用');
            } else {
                Session::Set('error', '注册失败，用户名或者手机号已被使用');
            }
        }
    } else {
        Session::Set('error', '注册失败，密码设置有问题');
    }
}

$pagetitle = '注册';
include template('account_signup');
?>
